Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
vietduc147258

Nhờ viết lisp chèn Prefix

Các bài được khuyến nghị

Nhờ các bác viết dùm lisp đổi kí tự Ø thành kí tự M với. (Khi Dim kích thước lỗ bulong hay bị lỗi này)

Lisp chèn kí tự Vuông trước Dim nữa. Ví dụng kích thước 300 sẽ thành □ 300

(Chèn mã {\Famgdt;o} vào Prefix).

Cám ơn các Bác trước nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

 

8 giờ trước, vietduc147258 đã nói:

Nhờ các bác viết dùm lisp đổi kí tự Ø thành kí tự M với. (Khi Dim kích thước lỗ bulong hay bị lỗi này)

Lisp chèn kí tự Vuông trước Dim nữa. Ví dụng kích thước 300 sẽ thành □ 300

(Chèn mã {\Famgdt;o} vào Prefix).

Cám ơn các Bác trước nhé.

Bạn thử thiết lập trong dimstyle chưa?

Autocad-1.jpg

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Có Lisp giúp chèn Vào dim nhưng sử dụng hơi phức tạp

Khi nhập lệnh xong sẽ hỏi chèn vào đâu: Above/Below/Prefix/Suffix

Rồi nhập nội dung nữa.

Cái này hơi phức tạp. Vào Edit thủ công còn nhanh hơn

 

 

(defun c:Test (/ Rtrn txt ss in vl)
  (if
    (and (/= (setq txt (getstring t "\n Specify the Text string :"))
             ""
         )
         (progn
           (initget "Above Below Prefix Suffix")
           (setq
             Rtrn (cond ((getkword
                           "\nType [Above/Below/Prefix/Suffix] <Below>: "
                         )
                        )
                        ("Below")
                  )
           )
         )
         (progn
           (princ "\nSelect Dimension to modify: ")
           (setq ss (ssget "_:L" '((0 . "DIMENSION"))))
         )
    )
     (progn
       (cond
         ((= Rtrn "Above") (setq Txt (strcat Txt "\\P<>")))
         ((= Rtrn "Below") (setq Txt (strcat "<>\\P" Txt)))
         ((= Rtrn "Prefix") (setq Txt (strcat Txt " <>")))
         ((= Rtrn "Suffix") (setq Txt (strcat "<> " Txt)))
       )
       (repeat (setq in (sslength ss))
         (setq vl (vlax-ename->vla-object (ssname ss (setq in (1- in)))))
         (vl-catch-all-apply 'vla-put-TextOverride (list vl txt))
       )
     )
  )
  (princ)
)

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
59 phút trước, ketxu đã nói:

Thấy edit thủ công nhanh rồi sao bạn hỏi lisp chi vậy :D

 

Những thao tác đó ít dùng thì edit thủ công nhanh hơn. Nhưng những thao tác hay dùng thì Edit rất lâu.

Ví dụ phêm chữ Ø thì bạn phải nhập %%c, mất 3 ký tự (3 ký tự này nằm ở Override hay Prefix cũng được)

chèn ký tự hình vuông thì lại nhập {\Famgdt;o} vào ô prefix.

 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×